%global basever 0.8.9
%global srcname ccsm
%global sum     Plugin and configuration tool - Compiz Fusion Project

Name:           %{srcname}
Version:        0.8.9
Release:        1%{?dist}
Epoch:          1
Summary:        %{sum}

Group:          User Interface/Desktops
License:        GPLv2+
URL:            https://github.com/raveit65/ccsm
# github does not create xz tarballs, so i decided to release at fedorapeople
Source0: https://raveit65.fedorapeople.org/compiz/SOURCE/%{version}/%{name}-%{version}.tar.bz2
BuildArch:      noarch

# libdrm is not available on these arches
ExcludeArch:    s390 s390x ppc64

BuildRequires:  python2-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  intltool

Requires:       compizconfig-python >= %{version}
Requires:       libcompizconfig >= %{basever}
Requires:       python-sexy
Requires:       compiz-manager
Requires:       pygtk2 >= 2.10

%description
The Compiz Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package contains a GUI configuration tool to configure Compiz
plugins and the composite window manager.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build

%install
%py2_install

%find_lang %{name}

%check
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/ccsm.desktop


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%doc AUTHORS COPYING VERSION
%{_bindir}/ccsm
%{_datadir}/applications/ccsm.desktop
%dir %{_datadir}/ccsm
%{_datadir}/ccsm/*
%{_datadir}/icons/hicolor/*/apps/ccsm.*
%dir %{python_sitelib}/ccm
%{python_sitelib}/ccm/*
%{python_sitelib}/ccsm-%{version}-py?.?.egg-info


%changelog
* Fri Nov 06 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.9-1
- update to 0.8.9
- new upstream is at https://github.com/raveit65/ccsm
- remove upstreamed patches
- remove sed commands
- fix rpmlint issue in description (gui --> GUI)
- modernize spec file for python

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.8.4-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Sep 24 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.4-14
- fix no icons and text in main screen

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.8.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 18 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.4-12
- add ccsm_primary-is-control.patch
- fix (#910977)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.8.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 10 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.4-10
- remove commented out require
- drop gettext BR

* Sun Dec 02 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.4-9
- remove compizconfig-backend-mateconf require

* Mon Oct 15 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.4-8
- build for fedora
- rename patches
- fix invalid-lc-messages-dir
- add Epoch tag

* Mon Oct 15 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.4-7
- remove python sitelib stuff

* Wed Sep 19 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.4-6
- improve spec file

* Tue May 15 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.4-5
- build for mate

